@import '_content/Sprbrk.Design.Components/Sprbrk.Design.Components.uuir8xerd6.bundle.scp.css';

/* /Pages/Components/Buttons/IconButton.razor.rz.scp.css */
[b-6r9pdss7np] .l-content--col-2, 
[b-6r9pdss7np] .l-content--col-3 {
    display: grid;
    grid-row-gap: 1em;
    justify-items: center;
    padding: 1rem 0;
}

[b-6r9pdss7np] .l-content--col-2 {
    width: 300px;
    grid-template-columns: repeat(2, 1fr);
}

[b-6r9pdss7np] .l-content--col-3 {
    width: 500px;
    grid-template-columns: repeat(3, 1fr);
}

.color-picker[b-6r9pdss7np] {
    width: 50px;
    height: 50px;
    border: none;
    cursor: pointer;
}

.selected-color-display[b-6r9pdss7np] {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1rem;
    margin-top: 10px;
}

.color-preview[b-6r9pdss7np] {
    width: 25px;
    height: 25px;
    border: 1px solid #ccc;
    border-radius: 5px;
}
/* /Pages/Components/CardGrid/CardGrid.razor.rz.scp.css */
.card-grid-demo[b-lgin0ki08j] {
    margin: 1rem auto;
    height: 50vh;
}
/* /Pages/Components/CardGrid/PurchaseOrder/PurchaseOrderLinkLabel.razor.rz.scp.css */
a[b-xoq9lag8bi] {
    word-break: break-word;
    font-weight: 400;
    color: var(--color-secondary);
    text-decoration: none;
}

a:hover[b-xoq9lag8bi], a:focus[b-xoq9lag8bi]{
    text-decoration: underline;
}
/* /Pages/Components/Carousel.razor.rz.scp.css */
.demo-field--component[b-zz2svbjzbd] {
    height: 300px;
    margin: 0 auto;
    width: 500px;

    .e-carousel .slide-content {
        align-items: center;
        display: flex;
        font-size: 1.25rem;
        height: 100%;
        justify-content: center;
    }
}
/* /Pages/Components/Grid/V2/Disabled.razor.rz.scp.css */
div.disabled[b-uquz3714io] {
    border-radius: 4px;
    opacity: 40%;
    cursor: not-allowed;
}

div.disabled[b-uquz3714io]  .sf-grid {
    pointer-events: none; 
}
/* /Pages/Components/Grid/V2/Editing.razor.rz.scp.css */
.sprbrk-grid-header-template[b-ij7ky8rfyh] {
    display: inline-flex; 
    align-items: center; 
    white-space: nowrap;
}

.sprbrk-grid-header-info-icon[b-ij7ky8rfyh] {
    margin-left: 4px;
}
/* /Pages/Components/Grid/V2/Toolbar.razor.rz.scp.css */
[b-c2xwnpl6ub] .sprbrk-grid .e-gridheader,
[b-c2xwnpl6ub] .sprbrk-grid .e-gridcontent,
[b-c2xwnpl6ub] .sprbrk-grid .e-gridpager
{
    display: none;
}

[b-c2xwnpl6ub] .visible-grid .sprbrk-grid .e-gridheader,
[b-c2xwnpl6ub] .visible-grid .sprbrk-grid .e-gridcontent,
[b-c2xwnpl6ub] .visible-grid .sprbrk-grid .e-gridpager
{
    display: block;
}

[b-c2xwnpl6ub] .search-selection-component__select-button > button {
    background-color: var(--color-secondary) !important;
    padding: 0 1rem !important;
    border-radius: 6px !important;
    height: 2rem;
}

[b-c2xwnpl6ub] .search-selection-component__select-button > button > span{
    color: #fff !important;    
}
/* /Pages/Components/Grid/V2/ToolbarButtonHandling.razor.rz.scp.css */
.accordion-button[b-uke9op8ihu] {
    font-size: 1.2rem;
    font-weight: bold;
}

.accordion-body[b-uke9op8ihu] {
    background: #f8f9fa;
    padding: 15px;
}

.accordion-header .accordion-button[b-uke9op8ihu] {
    flex: 1;
}

pre[b-uke9op8ihu] {
    white-space: pre-wrap;
    word-wrap: break-word;
    font-family: monospace;
    font-size: 0.9rem;
    line-height: 1.4;
}
/* /Pages/Components/ImageEditor/ImageEditor.razor.rz.scp.css */
.primary-button[b-4m544tq1cp] {
    padding: 8px;
    background: var(--color-secondary);
    border: none;
    color: white;
    border-radius: 4px;
}
/* /Pages/Components/ListBox.razor.rz.scp.css */
.demo-list[b-6lqqi73v9v] {
    max-width: 300px;
}

.last-selected[b-6lqqi73v9v] {
    margin: 2.5rem 0;
    color: var(--color-text);
}

.item-template__text[b-6lqqi73v9v] {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; 
    display: block;
    max-width: 100%;
}
/* /Pages/Components/Mention.razor.rz.scp.css */
.primary-button[b-em1z2mdlxk] {
    padding: 8px;
    background: var(--color-secondary);
    border: none;
    color: white;
    border-radius: 4px;
}
/* /Pages/Components/SectionHeader.razor.rz.scp.css */
/* Only applies to Splitter example on page */

[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--position--fixed.sprbrk-side-sheet--overlay, 
[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--position--fixed.sprbrk-side-sheet__container,
[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--position--fixed.sprbrk-side-sheet__footer,
[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--position.sprbrk-side-sheet--position--fixed {
    position: relative;
}

[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--overlay.sprbrk-side-sheet--show-transition {
    opacity: unset;
}

[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet--overlay {
    background-color: unset;
}

[b-01qvgjb5am] :is(.sidesheet-splitter-example) .sprbrk-side-sheet__container {
    width: unset;
    min-width: unset;
    z-index: 1;
}

/* /Pages/Components/Splitters/Examples/SplitterWithGrid.razor.rz.scp.css */
.sprbrk-grid-container[b-che1wc3yg9] {
    height: 100%;
    width: 100%;
}
/* /Pages/Components/Splitters/Examples/SplitterWithGridAndHeader.razor.rz.scp.css */
.sprbrk-grid-container[b-0hbyd6po3j] {
    height: 100%;
    width: 100%;
}

[b-0hbyd6po3j] .sprbrk-grid__header {
    margin: 0;
}

[b-0hbyd6po3j] .e-splitter .sprbrk-grid__header {
    margin: 0.5rem;
    margin-top: 0.75rem;
}
/* /Pages/Foundation/Color.razor.rz.scp.css */
.background[b-9nx1u6qnc9] {
    background-color: var(--color-background);
    color: var(--color-background);
}

.text[b-9nx1u6qnc9] {
    background-color: var(--color-text);
    color: var(--color-text);
}

.subtle-text[b-9nx1u6qnc9] {
    background-color: var(--color-subtle-text);
    color: var(--color-subtle-text);
}

.accent[b-9nx1u6qnc9] {
    background-color: var(--color-accent);
    color: var(--color-accent);
}

.selection[b-9nx1u6qnc9] {
    background-color: var(--color-selection);
    color: var(--color-selection);
}

.error[b-9nx1u6qnc9] {
    background-color: var(--color-error);
    color: var(--color-error);
}

.error-02[b-9nx1u6qnc9] {
    background-color: var(--color-error-02);
    color: var(--color-error-02);
}

.warning[b-9nx1u6qnc9] {
    background-color: var(--color-warning);
    color: var(--color-warning);
}

.success[b-9nx1u6qnc9] {
    background-color: var(--color-success);
    color: var(--color-success);
}

.success-02[b-9nx1u6qnc9] {
    background-color: var(--color-success-02);
    color: var(--color-success-02);
}

.primary[b-9nx1u6qnc9] {
    background-color: var(--color-primary);
    color: var(--color-primary);
}

.primary-02[b-9nx1u6qnc9] {
    background-color: var(--color-primary-02);
    color: var(--color-primary-02);
}

.secondary[b-9nx1u6qnc9] {
    background-color: var(--color-secondary);
    color: var(--color-secondary);
}

.secondary-02[b-9nx1u6qnc9] {
    background-color: var(--color-secondary-02);
    color: var(--color-secondary-02);
}

.tertiary[b-9nx1u6qnc9] {
    background-color: var(--color-tertiary);
    color: var(--color-tertiary);
}

.tertiary-02[b-9nx1u6qnc9] {
    background-color: var(--color-tertiary-02);
    color: var(--color-tertiary-02);
}

.top-header[b-9nx1u6qnc9] {
    background-color: var(--color-top-header);
    color: var(--color-top-header);
}

.overlay-background[b-9nx1u6qnc9] {
    background-color: var(--color-overlay-background) ;
    color: var(--color-overlay-background) ;
}

.header-background[b-9nx1u6qnc9] {
    background-color: var(--color-header-background) ;
    color: var(--color-header-background) ;
}

.header-text[b-9nx1u6qnc9] {
    background-color: var(--color-header-text);
    color: var(--color-header-text);
}

.chip-background[b-9nx1u6qnc9] {
    background-color: var(--color-chip-background);
    color: var(--color-chip-background);
}

.elevated-background[b-9nx1u6qnc9] {
    background-color: var(--color-elevated-background);
    color: var(--color-elevated-background);
}

.elevated-selection[b-9nx1u6qnc9] {
    background-color: var(--color-elevated-selection);
    color: var(--color-elevated-selection);
}

.hovered-border[b-9nx1u6qnc9] {
    background-color: var(--color-hover-border);
    color: var(--color-hover-border);
}

.container-fluid table[b-9nx1u6qnc9] {
    width: 100%;
}

.container-fluid td[b-9nx1u6qnc9] {
    width: 300px;
    height: 25px;
}

td:first-child[b-9nx1u6qnc9], th:first-child[b-9nx1u6qnc9] {
    border-left: 1px solid var(--color-accent);
}

td[b-9nx1u6qnc9], th[b-9nx1u6qnc9] {
    border: 1px solid var(--color-accent);
    padding: 12px 12px 12px 24px;
}

.row[b-9nx1u6qnc9] {
    margin-left: 20px;
    margin-right: 20px;
}
/* /Pages/Foundation/Header.razor.rz.scp.css */
[b-mzxv8h56hy] .manual-header {
    height: 5rem;
    background: var(--color-secondary-02);
    list-style-type: none;
    margin: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

[b-mzxv8h56hy] .manual-header-logo-image {
    height: 5rem;
    cursor: pointer;
    transition: transform 0.3s ease;
}

[b-mzxv8h56hy] .manual-header-logo-image:hover {
    transform: scale(1.1);
}

[b-mzxv8h56hy] .manual-header-title {
    padding: 0 1rem;
    flex: 1;
}

[b-mzxv8h56hy] .manual-icon {
    font-size: 1.25rem;
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 1rem;
    border-radius: 50%;
}

[b-mzxv8h56hy] .manual-icon:hover {
    background-color: var(--color-accent);
    transform: scale(1);
}

[b-mzxv8h56hy] .manual-notification-container {
    position: relative;
}

[b-mzxv8h56hy] .manual-notification-badge {
    position: absolute;
    top: 0.25rem;
    right: 0.25rem;
    background-color: var(--color-error);
    color: var(--color-header-text);
    border-radius: 50%;
    width: 1.125rem;
    height: 1.125rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.625rem;
    font-weight: bold;
    border: 0.125rem solid var(--color-secondary);
}

[b-mzxv8h56hy] .manual-menu-button {
    background-color: var(--color-accent);
    border-radius: 50%;
    padding: 0.5rem;
}

[b-mzxv8h56hy] .manual-header-item .manual-menu-button:hover {
    background-color: var(--color-selection);
    border-radius: 50%;
}
/* /Pages/Foundation/Iconography/IconCard.razor.rz.scp.css */
.sprbrk-card[b-c0lmy41io3] {
    height: 100%;
    transition: all 0.3s ease;
    min-width: 150px;
    max-width: 300px;
}

.sprbrk-card:hover[b-c0lmy41io3] {
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    transform: translateY(-2px);
}

.sprbrk-card .sprbrk-card-wrapper :last-child[b-c0lmy41io3] {
    padding-bottom: unset;
}

.sprbrk-card-wrapper[b-c0lmy41io3] {
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;
}

.icon-card[b-c0lmy41io3] {
    transition: all 0.3s ease;
}

.icon-card:hover[b-c0lmy41io3] {
    transform: translateY(-2px);
}

.card-min-width[b-c0lmy41io3] {
    min-width: 200px;
}

.sample-color[b-c0lmy41io3] {
    height: 14px;
    width: 14px;
    display: inline-block;
    border-radius: 50%;
}

.icon-usage-container[b-c0lmy41io3],
.icon-usage-container span[b-c0lmy41io3],
.icon-class-container[b-c0lmy41io3],
.icon-class-container p[b-c0lmy41io3] {
    margin: 0;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: center;
}

.icon-display[b-c0lmy41io3] {
    min-height: 32px;
    display: flex;
}

.color-info[b-c0lmy41io3] {
    font-size: 0.8rem;
}

.text-truncate[b-c0lmy41io3] {
    max-width: 100%;
}

.copy-button[b-c0lmy41io3] {
    background-color: var(--color-background);
    color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.copy-button:hover[b-c0lmy41io3] {
    background-color: var(--color-primary);
    color: var(--color-background);
    border-color: var(--color-primary);

}

@media (min-width: 576px) {
    .fa-sm-3x[b-c0lmy41io3] {
        font-size: 3em;
    }
}
/* /Pages/Foundation/Iconography/Iconography.razor.rz.scp.css */
[b-aae6sy1cq5] .col > .sprbrk-card, .col-2 > .sprbrk-card[b-aae6sy1cq5] {
    height: 100%;
}

[b-aae6sy1cq5] .col .sprbrk-card__primary-action-area, .col-2 .sprbrk-card__primary-action-area[b-aae6sy1cq5] {
    height: 100%;
}

/* copy trailing icon - hover state */
[b-aae6sy1cq5] .col .fa-copy.sprbrk-card__trailing-icon:active, .col-2 .fa-copy.sprbrk-card__trailing-icon:active[b-aae6sy1cq5] {
    transition: 0.3s;
    color: var(--color-secondary);
}

/* copy trailing icon - active state */
[b-aae6sy1cq5] .fa-copy.sprbrk-card__trailing-icon:hover {
    transition: 0.3s;
    scale: 145%;
}

element.style[b-aae6sy1cq5] {
}

.article .demo-text-field[b-aae6sy1cq5] {
    text-align: justify;
}

p[b-aae6sy1cq5] {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

[b-aae6sy1cq5] e-tab .e-content .e-item {
    background: inherit;
    color: var(--color-text);
}

[b-aae6sy1cq5] .e-control, .e-css[b-aae6sy1cq5] {
    font-size: 1rem;
}
/* /Shared/CustomTabs/CustomTabs.razor.rz.scp.css */
.custom-tabs-headers[b-cmanof84r9] {
    display: flex;
    flex-direction: row;
    background: var(--color-background);
}

.custom-tab-header[b-cmanof84r9] {
    padding: 0.75rem 1.5rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.custom-tab-header:hover[b-cmanof84r9] {
    background: var(--banner-background);
}

.custom-tab-header.active[b-cmanof84r9] {
    background: var(--color-background);
    color: var(--color-secondary);
    font-weight: 600;
}

.custom-tab-header-text[b-cmanof84r9] {
    font-size: 0.975rem;
    font-weight: 500;
}

.custom-tabs-content[b-cmanof84r9] {
    padding: 1.5rem;
}
